<?php
if (file_exists("embedded/functions/site_functions.php"))
	{
	include_once("embedded/functions/site_functions.php");
	}
else
	{
include_once("../../embedded/functions/site_functions.php");
	}
db_open();		
$language=$_SESSION['language'];
if ($language==1)
	{
	$head1="Πρόβλημα κατά την επεξεργασία του αισθητήρα";
	$head2="Πρόβλημα κατά την επεξεργασία της περιόδου";
	$head3="Πρόβλημα κατά την επεξεργασία του χρόνου";
	$head4="Πρόβλημα κατά την επεξεργασία της μέρας";
	$head5="Πρόβλημα κατά την επεξεργασία της εβδομάδας";
	$head6="Πρόβλημα κατά την επεξεργασία του μήνα";
	$head7="Πρέπει να επιλέξετε Αισθητήρα και Περίοδο.Παρακαλώ δοκιμάστε ξανά!";
	}
else
	{
	$head1="Problem during Sensor processing";
	$head2="Problem during Period processing";
	$head3="Problem during year processing";
	$head4="Problem during day processing";
	$head5="Problem during week processing";
	$head6="Problem during month processing";
	$head7="You have to select Sensor and Period.Please try again!";
	}
$error1="";
$error2="";
$error3="";
$error4="";
$error5="";
$final_msg="";
if (isset($_GET["s"]) && !empty($_GET["s"]) && isset($_GET["p"]) && !empty($_GET["p"]))
	{ 	$s= strip_tags(htmlspecialchars(mysql_real_escape_string(trim($_GET["s"]))));
		if (preg_match("/[^a-z\' ']/", $s))
			{
			$error1= "$head1";
			}
		else
			{
			if ($s!="all" && $s!="soilmoisture" && $s!="indoorlighting" && $s!="humidity" && $s!="temperature")
			{
			$error1= "$head1";
			}
			else
				{
				$sensor= $_GET["s"];
				$p= strip_tags(htmlspecialchars(mysql_real_escape_string(trim($_GET["p"]))));
				if (preg_match("/[^a-z\' ']/", $p))
					{
					$error2= "$head2";
					}
				else
					{
					$period= $_GET["p"];
					if ($period!="year" && $period!="month" && $period!="day" && $period!="week")
						{
						$error2= "$head2";
						}
					else
						{
						if ($period=='year')
							{
							if ((isset($_GET["m"]) && !empty($_GET["m"])) && (isset($_GET["d"]) && !empty($_GET["d"])))
								{
								$m= strip_tags(htmlspecialchars(mysql_real_escape_string(trim($_GET["m"]))));
								$d= strip_tags(htmlspecialchars(mysql_real_escape_string(trim($_GET["d"]))));
								if ((preg_match("/[^(0-9)\' ']/", $m)) || (preg_match("/[^(0-9)\' ']/", $d)))
									{
									$error3= "$head3";
									}
								else
									{
									$final_msg='_'.$m;
									$d_msg=$m;
									}
								}
							else
								{
								$error3= "$head3";
								}
							}
						else if ($period=='day')
							{
							if ((isset($_GET["m"]) && !empty($_GET["m"])) && (isset($_GET["d"]) && !empty($_GET["d"])))
									{
									$m= strip_tags(htmlspecialchars(mysql_real_escape_string(trim($_GET["m"]))));
									$d= strip_tags(htmlspecialchars(mysql_real_escape_string(trim($_GET["d"]))));
									
									if ((preg_match("/[^(0-9)\' ']/", $m)) || (preg_match("/[^(0-9)\' ']/", $d)))
										{
										$error3= "$head4";
										}
									else
										{
										$strTime=mktime(1,1,1,$m,1,date("Y")); 
										$d_msg='2012-'.$m.'-'.$d;
										$m=date("F",$strTime);
										$final_msg="_".$m."_".$d."_2012";
										}									
									}
								else
									{
									$error3= "$head4";
									}						
							}
						else if ($period=='week')
							{
								if ((isset($_GET["m"]) && !empty($_GET["m"])) && (isset($_GET["w"]) && !empty($_GET["w"])))
									{
									$m= strip_tags(htmlspecialchars(mysql_real_escape_string(trim($_GET["m"]))));
									$w= strip_tags(htmlspecialchars(mysql_real_escape_string(trim($_GET["w"]))));
									if ((preg_match("/[^(0-9)\' ']/", $m)) || (preg_match("/[^(0-9)\' ']/", $w)))
										{
										$error4= "$head5";
										}
									else
										{
										$d_msg='2012-'.$m.'-'.$w;
										$strTime=mktime(1,1,1,$m,1,date("Y")); 
										$m=date("F",$strTime);
										$final_msg="_".$m."_Week_".$w."_2012";;
										}
									
									}
								else
									{
									$error4= "$head5";
									}
							}
							else if ($period=='month')
							{
								if (isset($_GET["m"]) && !empty($_GET["m"]))
									{
									$m= strip_tags(htmlspecialchars(mysql_real_escape_string(trim($_GET["m"]))));
									if (preg_match("/[^(0-9)\' ']/", $m))
										{
										$error5= "$head6";
										}
									else
										{
										$d_msg='2012-'.$m;
										$k=days_in_month($m,'2012');
										$strTime=mktime(1,1,1,$m,1,date("Y")); 
										$m=date("F",$strTime);
										$final_msg="_".$m."_2012";
										}
									
									}
								else
									{
									$error5= "$head6";
									}
							}
							
					
						}
					}
			
			}
		}
		
		$error=$error1.$error2.$error3.$error4.$error5;
		if	($error!="")
			{
			echo '<span class="day_deactivated">'.$error.'</span>';
			die();
			}
		else
			{
			require_once ("../../embedded/functions/graph_sensor.php");			
			}
		
		
		
	}
else
	{
	echo '<span class="day_deactivated">'.$head7.'</span>';
	}
db_close();	

?>